<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>GTRACK_targetDesc Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">GTRACK_targetDesc Struct Reference<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___a_l_g.html">GTRACK Algorithm Library</a> &raquo; <a class="el" href="group___g_t_r_a_c_k___external.html">Externals</a> &raquo; <a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>GTRACK target descriptor.  
 <a href="struct_g_t_r_a_c_k__target_desc.html#details">More...</a></p>

<p><code>#include &lt;gtrack.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aab35201051ef32018abdb0c9b88501e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab35201051ef32018abdb0c9b88501e5"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html#aab35201051ef32018abdb0c9b88501e5">uid</a></td></tr>
<tr class="memdesc:aab35201051ef32018abdb0c9b88501e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tracking Unit Identifier. <br /></td></tr>
<tr class="separator:aab35201051ef32018abdb0c9b88501e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af96c892ba3fb8bebb590a650ce12ac24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af96c892ba3fb8bebb590a650ce12ac24"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html#af96c892ba3fb8bebb590a650ce12ac24">tid</a></td></tr>
<tr class="memdesc:af96c892ba3fb8bebb590a650ce12ac24"><td class="mdescLeft">&#160;</td><td class="mdescRight">Target Identifier. <br /></td></tr>
<tr class="separator:af96c892ba3fb8bebb590a650ce12ac24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a792c82fdcfb93572982b11cec5c447d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a792c82fdcfb93572982b11cec5c447d8"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html#a792c82fdcfb93572982b11cec5c447d8">S</a> [6]</td></tr>
<tr class="memdesc:a792c82fdcfb93572982b11cec5c447d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">State vector 2D: (X, Y, Vx, Vy, Ax, Ay) <br /></td></tr>
<tr class="separator:a792c82fdcfb93572982b11cec5c447d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac436d0da07c27acee0dd8b6a05544425"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac436d0da07c27acee0dd8b6a05544425"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html#ac436d0da07c27acee0dd8b6a05544425">EC</a> [9]</td></tr>
<tr class="memdesc:ac436d0da07c27acee0dd8b6a05544425"><td class="mdescLeft">&#160;</td><td class="mdescRight">Group covariance matrix. <br /></td></tr>
<tr class="separator:ac436d0da07c27acee0dd8b6a05544425"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6549466ebd30da39ba12bd45470cea53"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6549466ebd30da39ba12bd45470cea53"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html#a6549466ebd30da39ba12bd45470cea53">G</a></td></tr>
<tr class="memdesc:a6549466ebd30da39ba12bd45470cea53"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gain factor. <br /></td></tr>
<tr class="separator:a6549466ebd30da39ba12bd45470cea53"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>GTRACK target descriptor. </p>
<p>The structure describes target descriptorformat </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="gtrack_8h.html">gtrack.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
